CSIT: Make script inclusion more readable
[ci-management.git] / jjb / scripts / csit / dmm-functional-virl.sh
1 #!/bin/bash
2
3 # Copyright (c) 2018 Huawei Technologies Co.,Ltd.
4 # Copyright (c) 2020 Cisco and/or its affiliates.
5 # Licensed under the Apache License, Version 2.0 (the "License");
6 # you may not use this file except in compliance with the License.
7 # You may obtain a copy of the License at:
8 #
9 #     http://www.apache.org/licenses/LICENSE-2.0
10 #
11 # Unless required by applicable law or agreed to in writing, software
12 # distributed under the License is distributed on an "AS IS" BASIS,
13 # WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
14 # See the License for the specific language governing permissions and
15 # limitations under the License.
16
17 set -xeu -o pipefail
18
19 # Clone dmm and start tests
20 git clone https://gerrit.fd.io/r/dmm
21
22 # If the git clone fails, complain clearly and exit
23 if [ $? != 0 ]; then
24     echo "Failed to run: git clone https://gerrit.fd.io/r/dmm"
25     exit 1
26 fi
27
28 # execute DMM bootstrap script if it exists
29 if [ -e bootstrap-DMM.sh ]
30 then
31     # make sure that bootstrap-DMM.sh is executable
32     chmod +x bootstrap-DMM.sh
33     # run the script
34     ./bootstrap-DMM.sh
35 else
36     echo 'ERROR: No bootstrap-DMM.sh found'
37     exit 1
38 fi
39
40 # vim: ts=4 ts=4 sts=4 et :